Тема: вопрос по версиям php

Опыта в сайтостроении у меня мало. Так что прошу простить если что.
Вкратце ситуация такая.

На хостинге php 5.3. Хостинг проплачен давно и надолго. Менять смысла нет.
Хочу установить локальную платформу, остановился предварительно на XAMPP. Сейчас доступны версии с php 5.4 и 5.5

Что посоветуете
искать дистрибутив с 5.3 (как на сервере) или взять последние версии?
какие могут быть заморочки?

2

Re: вопрос по версиям php

Все зависит от опыта. Если вы знаете разницу в версиях, то ставьте последнюю, если не знаете, то ищите ту же, что стоит на сервере, или как можно ближе к ней.